library(shiny)

shinyUI(fluidPage(
tags$head(
        tags$style(HTML("
          table, th, td {
              text-align:right;
          }
          
          th, td {
              padding: 10px;
          }    
        "))
      ), 
  titlePanel("Repeat until Success - Geometric Distribution"),

  sidebarLayout( 
      sidebarPanel(
           HTML("<a class='btn' href='/'><b>Start Over!</b></a>"),                                                               
           selectInput("ex", "Example",
                  choices=c("First six in rolls of a die",
                            "First Heads in flip of a coin",
                            "General Geometric")),
           conditionalPanel( condition = "input.ex=='General Geometric'",
                 sliderInput("p","Success Probability p",min=0,max=1,value=0.5,step=0.01)),             
           selectInput("speed","How fast?",
                 choices=c("slow","fast","immediate")),
           conditionalPanel( condition = "input.speed==='slow'",                   
               sliderInput("step1","Step",min=0, max=100, value=0,
                      step=1,animate=TRUE)),
        
           conditionalPanel( condition = "input.speed==='fast'",                   
               sliderInput("step2","Step",min=0, max=100, value=0,
                      step=1, animate=TRUE)),
          uiOutput("appinfo"),width=4
        ),
  mainPanel(
          uiOutput("head"),
          uiOutput("text3"),
          uiOutput("text1"),
          uiOutput("text2")      
    )
  ),
    
  uiOutput("explainText")    
))

